Triage Emails
curl --request POST \
--url https://api.example.com/api/v1/teams/cos/triage/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
{
"id": "<string>",
"from": "<string>",
"subject": "<string>",
"snippet": "",
"date": "",
"labels": []
}
]
}
'import requests
url = "https://api.example.com/api/v1/teams/cos/triage/email"
payload = { "emails": [
{
"id": "<string>",
"from": "<string>",
"subject": "<string>",
"snippet": "",
"date": "",
"labels": []
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emails: [
{
id: '<string>',
from: '<string>',
subject: '<string>',
snippet: '',
date: '',
labels: []
}
]
})
};
fetch('https://api.example.com/api/v1/teams/cos/triage/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"source": "<string>",
"title": "<string>",
"summary": "<string>",
"action": "<string>",
"reason": "<string>",
"priority": 123,
"agent_slug": "<string>",
"proposed_output": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Chief of Staff
Triage Emails
Classify a batch of emails into triage buckets.
POST
/
api
/
v1
/
teams
/
cos
/
triage
/
email
Triage Emails
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I